List apps
Apps
Retrieves information about all apps int he account, with associated metadata.
Recommended approach for retrieving all apps.
Use an API token for authentication via X-API-KEY header
If results are truncated due to too many apps, response will include hasMore:true and a nextKey to retrieve the next page.
Pass the nextKey value as query parameter into the GET request to retrieve the next batch of apps.
xyzOK
Indicates if results have been truncated
Query parameter for the next batch of results
GET /v1/apps HTTP/1.1
Host: api.appetize.io
X-API-KEY: YOUR_API_KEY
Accept: */*
OK
{
"hasMore": true,
"nextKey": "xyz",
"data": [
{
"publicKey": "p7nww3n6ubq73r1nh9jtauqy8w",
"created": "2016-02-10T17:46:14.089Z",
"updated": "2016-02-10T17:46:14.089Z",
"platform": "ios",
"bundle": "com.example.app",
"name": "example",
"appDisplayName": "Example App",
"appVersionCode": "1",
"appVersionName": "1.0.0",
"versionCode": 1,
"iconUrl": "https://example.com/app.png"
},
{
"publicKey": "48g0593mgxut2fz57yw2hdjd24",
"created": "2016-02-10T17:44:38.613Z",
"updated": "2016-02-10T17:44:38.613Z",
"platform": "ios",
"bundle": "com.example.app2",
"name": "example",
"appDisplayName": "Example App",
"appVersionCode": "1",
"appVersionName": "1.0.0",
"versionCode": 3,
"iconUrl": "https://example.com/app2.png"
}
]
}Retrieves information about all apps in the account, with associated metadata.
NOTE: No pagination is performed so this query might be slow. It is recommended to use the paginated version of this query if possible.
Use an API token for authentication via X-API-KEY header
OK
GET /v1/apps/all HTTP/1.1
Host: api.appetize.io
X-API-KEY: YOUR_API_KEY
Accept: */*
OK
{
"data": [
{
"publicKey": "p7nww3n6ubq73r1nh9jtauqy8w",
"created": "2016-02-10T17:46:14.089Z",
"updated": "2016-02-10T17:46:14.089Z",
"platform": "ios",
"bundle": "com.example.app",
"name": "example",
"appDisplayName": "Example App",
"appVersionCode": "1",
"appVersionName": "1.0.0",
"versionCode": 1,
"iconUrl": "https://example.com/app.png"
},
{
"publicKey": "48g0593mgxut2fz57yw2hdjd24",
"created": "2016-02-10T17:44:38.613Z",
"updated": "2016-02-10T17:44:38.613Z",
"platform": "ios",
"bundle": "com.example.app2",
"name": "example",
"appDisplayName": "Example App",
"appVersionCode": "1",
"appVersionName": "1.0.0",
"versionCode": 3,
"iconUrl": "https://example.com/app2.png"
}
]
}Retrieves information about a single app.
Use an API token for authentication via X-API-KEY header
The publicKey for the app.
p7nww3n6ubq73r1nh9jtauqy8wOK
The publicKey for the app.
The date and time when the app was created.
The date and time when the app was last updated.
The platform of the app (ios or android).
The app identifier of the app.
The name of the app.
The display name of the app.
The version code of the app.
The version name of the app.
The incremental version code, managed by Appetize, for the app.
The URL to the app's icon image.
GET /v1/apps/{app_publicKey} HTTP/1.1
Host: api.appetize.io
X-API-KEY: YOUR_API_KEY
Accept: */*
OK
{
"publicKey": "p7nww3n6ubq73r1nh9jtauqy8w",
"created": "2016-02-10T17:46:14.089Z",
"updated": "2016-02-10T17:46:14.089Z",
"platform": "ios",
"bundle": "com.example.app",
"name": "example",
"appDisplayName": "Example App",
"appVersionCode": "1",
"appVersionName": "1.0.0",
"versionCode": 1,
"iconUrl": "https://example.com/app.png"
}App Groups
Retrieves information about an app group and all the apps associated with it.
Use an API token for authentication via X-API-KEY header
The publicKey for the app group (starts with ag_).
ag_{publicKey}OK
The publicKey for the app group.
The date and time when the app group was created.
The date and time when the app group was last updated.
The user who created the app group.
The name of the app group.
The publicKeys of the apps in the app group.
GET /v1/apps/{appgroup_publicKey} HTTP/1.1
Host: api.appetize.io
X-API-KEY: YOUR_API_KEY
Accept: */*
OK
{
"publicKey": "ag_{publicKey}",
"name": "App Group Name",
"created": "2016-02-10T17:46:14.089Z",
"updated": "2016-02-10T17:46:14.089Z",
"createdBy": "user@appetize.io",
"apps": [
"p7nww3n6ubq73r1nh9jtauqy8w",
"48g0593mgxut2fz57yw2hdjd24"
]
}Last updated